Create todoTaskList
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Create a new lists object.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Tasks.ReadWrite |
| Delegated (personal Microsoft account) | Tasks.ReadWrite |
| Application | Not supported |
HTTP request
POST /me/todo/lists
POST /users/{id|userPrincipalName}/todo/lists
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json. Required. |
Request body
In the request body, supply a JSON representation of the todoTaskList object.
The following table shows the properties that are required when you create the todoTaskList.
| Property | Type | Description |
|---|---|---|
| displayName | String | Field indicating title of the task list. |
Response
If successful, this method returns a 201 Created response code and a todoTaskList object in the response body.
Examples
Request
POST https://graph.microsoft.com/beta/me/todo/lists
Content-Type: application/json
{
"displayName": "Travel items"
}
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 201 Created
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.todoTaskList",
"id": "AAMkADIyAAAhrbPWAAA=",
"displayName": "Travel items",
"isOwner": true,
"isShared": false,
"wellknownListName": "none"
}
Feedback
Submit and view feedback for